# FTPixmapGlyph Class Reference

FTPixmapGlyph is a specialisation of FTGlyph for creating pixmaps. More...

`#include <FTPixmapGlyph.h>`

Inheritance diagram for FTPixmapGlyph:

## Public Member Functions
| FTPixmapGlyph (FT_GlyphSlot glyph)
| Constructor.
virtual | ~FTPixmapGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.

## Detailed Description

FTPixmapGlyph is a specialisation of FTGlyph for creating pixmaps.

Definition at line 42 of file FTPixmapGlyph.h.

## Constructor & Destructor Documentation

FTPixmapGlyph::FTPixmapGlyph | ( | FT_GlyphSlot | glyph | ) |

Constructor.

Parameters:

  | glyph | The Freetype glyph to be processed

virtual FTPixmapGlyph::~FTPixmapGlyph | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const FTPoint& FTPixmapGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode |
| ) |  |  | `[virtual]`

Render this glyph at the current pen position.

Parameters:

  | pen | The current pen position.
  | renderMode | Render mode to display

Returns:
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTPixmapGlyph.h